{
	"save_script": [],
	"field": [
		{
			"type": "varchar",
			"length": 20,
			"name": "currency_id",
			"constraint": [
				"primary key",
				"unique"
			]
		},
		{
			"name": "exchange_rate",
			"type": "double"
		},
		{
			"name": "change_date",
			"type": "date"
		},
		{
			"name": "info",
			"type": "text"
		},
		{
			"name": "json_data",
			"type": "jsonb"
		}
	],
	"constraint": {
		"save": {
			"allow": [
				{
					"field": "cur_currency_id",
					"message": "Field '%s' may not be empty",
					"code": [
						[
							"cur_currency_id",
							"<>",
							""
						]
					]
				}
			]
		}
	},
	"table_prefix": "cur",
	"extra_field": [
		{
			"type": "text",
			"name": "json_data.bank_account"
		},
		{
			"type": "double",
			"name": "json_data.buying_rate"
		},
		{
			"type": "varchar",
			"length": 80,
			"name": "json_data.customer_project"
		},
		{
			"type": "varchar",
			"length": 40,
			"name": "json_data.export_code"
		},
		{
			"type": "integer",
			"name": "json_data.firm_id"
		},
		{
			"type": "integer",
			"name": "json_data.is_euro_currency"
		},
		{
			"type": "varchar",
			"length": 20,
			"name": "json_data.main_currency"
		},
		{
			"type": "varchar",
			"length": 40,
			"name": "json_data.modifier_id"
		},
		{
			"type": "integer",
			"name": "json_data.number"
		},
		{
			"type": "varchar",
			"length": 80,
			"name": "json_data.project_id"
		},
		{
			"type": "double",
			"name": "json_data.selling_rate"
		},
		{
			"type": "varchar",
			"length": 120,
			"name": "json_data.transfer_id"
		},
		{
			"type": "integer",
			"name": "json_data.transfer_state"
		}
	],
	"calculated_field": [],
	"field_change": [
		{
			"name": "exchange_rate",
			"old_name": [
				"currency_rate"
			]
		}
	],
	"name": "structure_ma/cur.json",
	"table_name": "currency"
}